var _jsxFileName = "/home/runner/work/frontend-shared/frontend-shared/src/components/data/ScrollBox.tsx";
import Scroll from './Scroll';
import ScrollContainer from './ScrollContainer';
import ScrollContent from './ScrollContent';
import { jsxDEV as _jsxDEV } from "preact/jsx-dev-runtime";
/**
 * Render an opinionated composition of Scroll components, making `children`
 * scrollable.
 */
export default function ScrollBox({
  children,
  elementRef,
  borderless = false,
  rounded = false,
  ...htmlAttributes
}) {
  return _jsxDEV(ScrollContainer, {
    "data-composite-component": "ScrollBox",
    ...htmlAttributes,
    borderless: borderless,
    rounded: rounded,
    elementRef: elementRef,
    children: _jsxDEV(Scroll, {
      children: _jsxDEV(ScrollContent, {
        children: children
      }, void 0, false, {
        fileName: _jsxFileName,
        lineNumber: 35,
        columnNumber: 9
      }, this)
    }, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 34,
      columnNumber: 7
    }, this)
  }, void 0, false, {
    fileName: _jsxFileName,
    lineNumber: 27,
    columnNumber: 5
  }, this);
}
//# sourceMappingURL=ScrollBox.js.map