import type { JSX } from 'preact';
import type { PresentationalProps } from '../../types';
export type ScrollContentProps = PresentationalProps & JSX.HTMLAttributes<HTMLDivElement>;
/**
 * Apply consistent padding and spacing to content within a Scroll
 */
export default function ScrollContent({ children, classes, elementRef, ...htmlAttributes }: ScrollContentProps): JSX.Element;
