import type { JSX } from 'preact';
import type { PresentationalProps } from '../../types';
export type TableBodyProps = PresentationalProps & Omit<JSX.HTMLAttributes<HTMLElement>, 'size' | 'rows'>;
/**
 * Render a table body
 */
export default function TableBody({ children, classes, elementRef, ...htmlAttributes }: TableBodyProps): JSX.Element;
