import type { JSX } from 'preact';
import type { PresentationalProps } from '../../types';
export type TableHeadProps = PresentationalProps & Omit<JSX.HTMLAttributes<HTMLElement>, 'size'>;
/**
 * Render a table head section
 */
export default function TableHead({ children, classes, elementRef, ...htmlAttributes }: TableHeadProps): JSX.Element;
