import type { JSX } from 'preact';
export type SpinnerOverlayProps = Omit<JSX.HTMLAttributes<HTMLElement>, 'className' | 'open'>;
/**
 * Render a full-screen spinner atop a light-colored overlay
 */
export default function SpinnerOverlay({ ...htmlAttributes }: SpinnerOverlayProps): JSX.Element;
