import type { IconButtonProps } from './IconButton';
type ComponentProps = {
    /** Optional button title */
    title?: string;
};
export type CloseButtonProps = Omit<IconButtonProps, 'title'> & ComponentProps;
/**
 * Render a close button. Use provided `onClick` or check for a CloseableContext
 * with a close handler.
 */
export default function CloseButton({ children, classes, elementRef, title, onClick, ...iconButtonProps }: CloseButtonProps): import("preact").JSX.Element;
export {};
