import type { JSX } from 'preact';
import type { PresentationalProps } from '../../types';
export declare const inputGroupStyles: string;
export type InputGroupProps = PresentationalProps & JSX.HTMLAttributes<HTMLElement>;
/**
 * Render a container that lays out a group of input components
 */
export default function InputGroup({ children, classes, elementRef, ...htmlAttributes }: InputGroupProps): JSX.Element;
