import type { JSX } from 'preact';
import type { FormControlProps, PresentationalProps } from '../../types';
export type TextareaProps = PresentationalProps & FormControlProps & JSX.TextareaHTMLAttributes<HTMLTextAreaElement>;
/**
 * Render a textarea
 */
export default function Textarea({ elementRef, error, feedback, classes, ...htmlAttributes }: TextareaProps): JSX.Element;
