var _jsxFileName = "/home/runner/work/frontend-shared/frontend-shared/src/components/data/ScrollContent.tsx";
import classnames from 'classnames';
import { downcastRef } from '../../util/typing';
import { jsxDEV as _jsxDEV } from "preact/jsx-dev-runtime";
/**
 * Apply consistent padding and spacing to content within a Scroll
 */
export default function ScrollContent({
  children,
  classes,
  elementRef,
  ...htmlAttributes
}) {
  return _jsxDEV("div", {
    "data-component": "ScrollContent",
    ...htmlAttributes,
    ref: downcastRef(elementRef),
    className: classnames('px-3 py-2', classes),
    children: children
  }, void 0, false, {
    fileName: _jsxFileName,
    lineNumber: 20,
    columnNumber: 5
  }, this);
}
//# sourceMappingURL=ScrollContent.js.map