import type { JSX } from 'preact';
import type { PresentationalProps } from '../../types';
type HTMLAttributes = JSX.HTMLAttributes<HTMLTableSectionElement>;
export type TableFootProps = PresentationalProps & HTMLAttributes;
/**
 * Render a table footer section
 */
export default function TableFoot({ children, classes, elementRef, ...htmlAttributes }: TableFootProps): JSX.Element;
export {};
