import type { JSX } from 'preact';
import type { PresentationalProps } from '../../types';
type ComponentProps = {
    selected?: boolean;
};
export type TableRowProps = PresentationalProps & ComponentProps & Omit<JSX.HTMLAttributes<HTMLElement>, 'size'>;
/**
 * Render a table row
 */
export default function TableRow({ children, classes, elementRef, selected, ...htmlAttributes }: TableRowProps): JSX.Element;
export {};
