import type { JSX } from 'preact';
import type { PresentationalProps } from '../../types';
export type CardActionsProps = PresentationalProps & JSX.HTMLAttributes<HTMLElement>;
/**
 * Render a group of buttons or interactive elements inside a Card
 */
export default function CardActions({ children, classes, elementRef, ...htmlAttributes }: CardActionsProps): JSX.Element;
