import type { JSX } from 'preact';
import type { PresentationalProps } from '../../types';
type ComponentProps = {
    underline?: 'always' | 'hover' | 'none';
    variant?: 'brand' | 'text-light' | 'text' | 'custom';
    unstyled?: boolean;
};
export type LinkProps = PresentationalProps & ComponentProps & JSX.AnchorHTMLAttributes<HTMLAnchorElement>;
/**
 * Styled component for a link (`<a>` element).
 */
export default function Link({ children, classes, elementRef, underline, unstyled, variant, ...htmlAttributes }: LinkProps): JSX.Element;
export {};
