import type { ToastMessage } from '../components/feedback';
export type ToastMessageData = Omit<ToastMessage, 'id'>;
export type ToastMessagesState = {
    toastMessages: ToastMessage[];
    appendToastMessage: (toastMessageData: ToastMessageData) => void;
    dismissToastMessage: (id: string) => void;
};
/**
 * Hook providing a simple way to handle state for {@link ToastMessages}
 */
export declare function useToastMessages(initialToastMessages?: ToastMessageData[]): ToastMessagesState;
