/**
 * Fixture-like "sample" HTML-cased components for filling out pattern and
 * component examples.
 */
/**
 * <li> elements for examples. The international NATO phonetic (radio) alphabet.
 */
export declare function SampleListElements(): import("preact").JSX.Element;
export declare function SampleTableBody(): import("preact").JSX.Element;
export type LoremIpsumProps = {
    size?: 'xs' | 'sm' | 'md' | 'lg';
};
/**
 * Render some example Lorem Ipsum text at different lengths.
 */
export declare function LoremIpsum({ size }: LoremIpsumProps): import("preact").JSX.Element;
export declare function sampleTableContent(): {
    tableHeaders: {
        label: string;
    }[];
    items: {
        displayName: string;
        updated: string;
    }[];
};
export type NabokovNovel = {
    title: string;
    year: string;
    language: string;
    translatedTitle?: string;
};
export declare function nabokovNovels(): NabokovNovel[];
